%define module File-Flat
%define m_distro File-Flat
%define m_name File::Flat
%define m_author_id unknown
%define _enable_test 1

Name: perl-File-Flat
Version: 0.95
Release: alt1

Summary: File::Flat - Implements a flat filesystem

Group: Development/Perl
License: Artistic
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: %m_distro-%version.tar.gz

# Automatically added by buildreq on Tue Jul 12 2005
BuildRequires: perl-Class-Inspector perl-Config-Tiny perl-ExtUtils-AutoInstall perl-File-NCopy perl-File-Remove perl-File-Slurp perl-Module-Build perl-Test-ClassAPI perl-devel perl-prefork

%description
File::Flat implements a flat filesystem. A flat filesystem is a
filesystem in which directories do not exist. It provides an abstraction
over any normal filesystem which makes it appear as if directories do
not exist. In effect, it will automatically create directories as
needed. This is create for things like install scripts and such, as you
never need to worry about the existance of directories, just write to a
file, no matter where it is.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%changelog
* Tue Jul 12 2005 Vitaly Lipatov <lav@altlinux.ru> 0.95-alt1
- first build for ALT Linux Sisyphus
